/* module banner styles */
header[role=banner]{
    background:linear-gradient(to right, #dce5fc, #7390f3);
    width: 100%;
    height: 2.18rem;
}
header[role=banner] > img{
    width: 100%;
    height: 100%;
    mask-image: linear-gradient(to right,transparent,#000 15%,#000 85%, transparent);
}
/* role menubar styles */
nav[role=menubar]{
    background:#FFFFFF;
    width: 100%;
    color:#5f6464;
    padding:0 0.2rem;
    box-shadow: 0 0.04rem 0.08rem rgba(0,0,0,.1);
}
nav[role=menubar] > a{
    background:linear-gradient(#0c84ff,#0c84ff) no-repeat right bottom/0 0.05rem;
    height: 0.8rem;
    cursor: pointer;
    line-height: 0.8rem;
    font-size:0.19rem;
    transition: all .25s ease-out;
}
nav[role=menubar] > a[aria-current=true]{
    background-size:100% 0.05rem;
    color:#0c84ff;
    font-weight: 700;
}
nav[role=menubar] > a[aria-current=true] ~ a{
    background-position-x: left;
}

/* hgroup heading styles */
hgroup[role=heading] > h2{
    font-size:0.28rem;
    margin-top:0.2rem;
}
hgroup[role=heading] > h3{
    font-size:0.22rem;
    font-weight: 400;
    margin:0.2rem auto;
    padding-bottom:0.15rem;
    border-bottom:0.03rem solid #cccccc;
}

/* module summary styles */
section[data-module=introduce]{
    position: relative;
    padding:0;
    height: 6rem;
    color:#FFFFFF;
    text-shadow: 0.02rem 0.02rem 0.04rem rgba(0,0,0,.5);
}
section[data-module=introduce] > img{
    width: 100%;
    height: 100%;
    filter:grayscale(.1);
}
section[data-module=introduce] > hgroup{
    background:rgba(0,0,0,.1);
    position: absolute;
    top:50%;
    left:50%;
    width: 100%;
    height: 100%;
    padding:0.3rem 0.5rem;
    border-radius: 0.1rem;
    backdrop-filter: blur(0.2rem);
    -webkit-backdrop-filter: blur(0.2rem);
    transform:translate(-50%,-50%);
}
section[data-module=introduce] > hgroup > p{
    width: 100%;
    line-height: 0.3rem;
}

/* module area styles */
section[data-module=area]{
    position: relative;
    box-shadow: 0 0.04rem 0.08rem rgba(0,0,0,.1);
    padding-bottom:0.5rem;
}
section[data-module=area] > ul{
    margin:0.15rem 0;
}
section[data-module=area] > ul > li{
    position: relative;
    width:100%;
    padding:0.25rem 0.35rem 0.25rem 2.2rem;
    margin-top:0.25rem;
}
section[data-module=area] > ul > li > img{
    position: absolute;
    left:0.15rem;
    top:50%;
    width: 2rem;
    transform:translateY(-50%);
}
section[data-module=area] > ul > li > h4{
    font-size:0.24rem;
    margin-bottom:0.15rem;
}
section[data-module=area] > ul > li > p{
    line-height: 0.3rem;
}

/* module culture styles */
section[data-module=culture]{
    background:linear-gradient(#f5f9ff,#fefeff);
    padding-bottom:0.5rem;
}
section[data-module=culture] > ul{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap: 0.2rem;
    margin-top:0.3rem;
}
section[data-module=culture] > ul > li{
    width:100%;
    padding:0.2rem;
}
section[data-module=culture] > ul > li > img{
    height: 1.2rem;
}
section[data-module=culture] > ul > li > p{
    line-height: 0.35rem;
    font-size:0.2rem;
    white-space: nowrap;
    text-align: center;
}
section[data-module=culture] > ul > li > h4{
    font-size:0.24rem;
    margin-bottom:0.1rem;
}

/* module history styles */
section[data-module=history]{
    background:linear-gradient(#E7F2FE, #FFFFFF);
    padding-bottom:0.5rem;
}
section[data-module=history] > ul{
    background:linear-gradient(#2877FC,#2877FC) no-repeat left 0.07rem center/0.05rem 100%;
    height: 6rem;
    overflow-y:auto;
}
section[data-module=history] > ul > li::before{
    display: block;
    content:attr(data-year);
    font-size:0.2rem;
    font-weight: 700;
}
section[data-module=history] > ul > li{
    position: relative;
    font-size:0.2rem;
    white-space: nowrap;
    padding:0 0.3rem;
    line-height: 0.3rem;
    margin-bottom:0.15rem;
}
section[data-module=history] > ul > li::after{
    background:#FFFFFF;
    display: block;
    content:"";
    position: absolute;
    left:0;
    top:0.05rem;
    width:0.2rem;
    height: 0.2rem;
    border:0.05rem solid #2877FC;
    border-radius: 0.1rem;
}

/* module advantages styles */
section[data-module=advantage]{
    position: relative;
    background:#0076fe;
    padding-bottom:50px;
    color:#FFFFFF;
    box-shadow: 0 2px 4px rgba(0,0,0,.1);
}
section[data-module=advantage] > ul{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap: 0.2rem;
}
section[data-module=advantage] > ul > li{
    background:linear-gradient(#FFFFFF 40%, #e7e7e7 40%);
    width: 100%;
    padding:0.25rem;
    line-height: 0.3rem;
    font-size:0.2rem;
    color:#333333;
    box-shadow: 0 0.03rem 0.15rem 0.03rem rgba(15,50,230,.6);
}
section[data-module=advantage] > ul > li > img{
    height: 1.2rem;
    transition: inherit;
}
section[data-module=advantage] > ul > li:hover > img{
    transform:translateY(-0.05rem) scale(1.15);
}
section[data-module=advantage] > ul > li > h4{
    font-size:0.22rem;
    margin:0.15rem;
}

/* module team styles */
section[data-module=team]{
    position: relative;
    padding-bottom:0.5rem;
    box-shadow: 0 0.04rem 0.08rem rgba(0,0,0,.1);
}
section[data-module=team] > header[role=group]{
    color:#FFFFFF;
}
section[data-module=team] > ul{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap:0.7rem 0.25rem;
    padding:0.7rem 0 0.3rem 0;
}
section[data-module=team] > ul > li{
    position: relative;
    width: 100%;
    overflow: visible!important;
    padding:0.6rem 0.3rem 0.3rem 0.3rem;
}
section[data-module=team] > ul > li > img{
    position: absolute;
    top:-0.5rem;

    object-position: center;
    width:1rem;
    height: 1rem;
    border-radius: 1rem;
    border:0.05rem solid #FFFFFF;
    box-shadow: 0 0 0.05rem rgba(0,0,0,.25);
}
section[data-module=team] > ul > li > h4{
    font-size:0.22rem;
    margin:0.1rem auto;
}
section[data-module=team] > ul > li > p{
    font-size:0.2rem;
    line-height: 0.3rem;
    -webkit-line-clamp: 4;
}
section[data-module=team] > ul > li > a[role=button]{
    font-size:0.18rem;
    padding:0.07rem 0.2rem;
    margin-top:0.15rem;
}

/* module honor styles */
section[data-module=honor] > div{
    position: relative;
    width: 100%;
    padding:0.15rem 0.3rem;
}
section[data-module=honor] > div > button{
    background:rgba(0,0,0,.35);
    position: absolute;
    top:50%;
    right:0;
    width: 0.5rem;
    height: 0.5rem;
    border-radius: 0.5rem;
    color:#FFFFFF;
    font-size:0.24rem;
    cursor: pointer;
    transform:translateY(-50%);
    transition: transform .25s ease-out;
}
section[data-module=honor] > div > button:hover{
    transform:scale(1.1) translateY(-50%);
}
section[data-module=honor] > div > button:first-of-type{
    left:0;
}
section[data-module=honor] > div > figure{
    width: 100%;
    height: 3.5rem;
    padding:0.25rem 0.35rem;
    overflow-x:auto;
    mask:linear-gradient(to right,transparent 2%,#000000 3.5%,#000000 96.5%,transparent 100%);
}
section[data-module=honor] > div > figure > img{
    background:#FFFFFF;
    height: 100%;
    margin-right:0.25rem;
    border-radius: 0.05rem;
    box-shadow: 0 0.04rem 0.1rem 0.02rem rgba(0,0,0,.35);
    transition: transform .25s ease-out;
}
section[data-module=honor] > div > figure > img:hover,
section[data-module=honor] > div > figure > img[aria-current=true]{
    transform:scale(1.1);
}
section[data-module=honor] > div > figure > img:last-of-type{
    margin-right: 0;
}

/* module partner styles */
section[data-module=partner]{
    background:linear-gradient(#e9eff4,#FFFFFF);
    padding-bottom:0.5rem;
}
section[data-module=partner] > figure{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap:0.25rem;
}
section[data-module=partner] > figure > img{
    width: 100%;
    height: 1.26rem;
    padding:0.05rem;
}

@supports (position: sticky) {
    nav[role=menubar] {
        position: sticky;
        top:1rem;
        z-index:999;
    }
}